#include <stdlib.h>
#include <locale.h>

#include "Map.h"
#include "Errors.h"

int main(int argc, char *argv[])
{
    int words;

    if (argc < 2) {
        Error("[WordCountMap] Usage: WordCountMap <input_files...>");
    }

    setlocale(LC_ALL, "");

    words = wordcount_mapper(argc - 1, &argv[1], false);

    return words;
}
